Show / Hide Table of Contents

# Class SelectionData

Container class for a selection range from file

##### Inheritance

System.Object
SelectionData

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SelectionData

### Constructors

| Improve this Doc View Source

#### SelectionData()

##### Declaration

    public SelectionData()

| Improve this Doc View Source

#### SelectionData(Int32, Int32, Int32, Int32)

##### Declaration

    public SelectionData(int startLine, int startColumn, int endLine, int endColumn)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | startLine |
System.Int32 | startColumn |
System.Int32 | endLine |
System.Int32 | endColumn |

### Properties

| Improve this Doc View Source

#### EndColumn

##### Declaration

    public int EndColumn { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EndLine

##### Declaration

    public int EndLine { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### StartColumn

##### Declaration

    public int StartColumn { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### StartLine

##### Declaration

    public int StartLine { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### FromBufferRange(BufferRange)

##### Declaration

    public static SelectionData FromBufferRange(BufferRange range)

##### Parameters

Type | Name | Description
--- | --- | ---
BufferRange | range |

##### Returns

Type | Description
--- | ---
SelectionData |

| Improve this Doc View Source

#### ToBufferRange()

##### Declaration

    public BufferRange ToBufferRange()

##### Returns

Type | Description
--- | ---
BufferRange |